Bug 738895 - [6.3 FEAT] libvirt: dynamic allocation of VFs to facilitate VM migration
Summary: [6.3 FEAT] libvirt: dynamic allocation of VFs to facilitate VM migration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: x86_64
OS: All
high
high
Target Milestone: beta
: 6.3
Assignee: Laine Stump
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 704634 705085
TreeView+ depends on / blocked
 
Reported: 2011-09-16 00:51 UTC by IBM Bug Proxy
Modified: 2011-12-21 17:03 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-21 17:02:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 73640 None None None Never

Description IBM Bug Proxy 2011-09-16 00:51:35 UTC
1. Feature Overview:
Feature Id: [73640]
a. Name of Feature: [6.3 FEAT] libvirt: dynamic allocation of VFs to facilitate VM migration
b. Feature Description

static assigment of VS to a VMs make VM migration impossible. dynamic assigment from a pool of VFs will facilitate migration

2. Feature Details:
Sponsor: ---
Architectures:  

Arch Specificity: ---
Affects Kernel Modules: No
Delivery Mechanism: Backport
Category: other
Request Type: Other
d. Upstream Acceptance: ---
Sponsor Priority P3
f. Severity: high
IBM Confidential: No
Code Contribution: unsure
g. Component Version Target: ---

3. Business Case


4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie A. Glass, sglass@us.ibm.com

Technical contact(s):
Gerhard Stenzel, gerhard.stenzel@de.ibm.com

Comment 2 Laine Stump 2011-09-17 01:45:53 UTC
Is this specifically talking about VFs that are assigned to a guest via PCI Passthrough (<hostdev>)? Or is using macvtap in passthrough mode (with the guest using virtio) acceptable?

For the former case (PCI passthrough), as a possible solution to Bug 691539, I sent a proposal upstream a couple weeks ago that, while incomplete/incorrect, should lead to something that will fulfill the requirements:

  https://www.redhat.com/archives/libvir-list/2011-August/msg00937.html

For the latter case (macvtap in passthrough mode), this is already committed upstream as of libvirt-0.9.4, and thus will be in RHEL6.2 (of course there could be bugs and/or missing details). See http://www.libvirt.org/formatnetwork.html, in particular the "passthrough" forward mode for more info.

Comment 3 Laine Stump 2011-09-28 19:02:09 UTC
jjarvis - you've reset the needinfo I set for the question at the beginning of Comment 2, but didn't answer the question.

Comment 4 John Jarvis 2011-09-28 19:11:35 UTC
Sorry, I was only setting priority, milestone, etc., not answering the question.

Comment 5 John Jarvis 2011-09-28 19:12:23 UTC
Setting back to NEEDINFO of IBM.

Comment 6 IBM Bug Proxy 2011-12-13 19:50:48 UTC
------- Comment From gerhard.stenzel@de.ibm.com 2011-12-13 14:41 EDT-------
(In reply to comment #5)
apologies for the delay

> For the latter case (macvtap in passthrough mode), this is already committed
> upstream as of libvirt-0.9.4, and thus will be in RHEL6.2 (of course there
> could be bugs and/or missing details). See
> http://www.libvirt.org/formatnetwork.html, in particular the "passthrough"
> forward mode for more info.

I did some initial verification with RHEL 6.2 and this request is covered there. I think, the feature request can be dropped and if - after additional verification - additional issues show up they could be handled as bugs.

Thank you

------- Comment From sglass@us.ibm.com 2011-12-13 14:43 EDT-------
Closing as NotABug at this time.


Note You need to log in before you can comment on or make changes to this bug.